package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class VPassStaticVO extends HeaderVO{
	String shipNo;
	String shipName;
	Double length;
	Double width;
	Double weight;
	
	public VPassStaticVO() {
		shipNo = "";
		shipName = "";
		length = 0.0;
		width = 0.0;
		weight = 0.0;
	}

	public String getShipNo() {
		return shipNo;
	}

	public void setShipNo(String shipNo) {
		this.shipNo = shipNo;
	}

	public String getShipName() {
		return shipName;
	}

	public void setShipName(String shipName) {
		this.shipName = shipName;
	}

	public Double getLength() {
		return length;
	}

	public void setLength(Double length) {
		this.length = length;
	}

	public Double getWidth() {
		return width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public Double getWeight() {
		return weight;
	}

	public void setWeight(Double weight) {
		this.weight = weight;
	}
	public String getString() { 
		return "TargetSensor : "+ this.targetSensor+ "\n" +
				"packetID    : "+ this.packetID+ "\n" +
				"ShipID      : "+ this.shipID+ "\n" +
				"DateTime    : "+ this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+ "\n" +
				"AreaID 	 : "+ this.areaID+ "\n" +
				"MsgType 	 : "+ this.msgType+ "\n" +
				"DataLength  : "+ this.dataLength+ "\n" +
				"ShipName    : "+ this.shipName+ "\n" +
				"ShipNO 	 : "+ this.shipNo + "\n" +	
				"length 	 : "+ String.valueOf(this.length) + "\n" +
				"width 		 : "+ String.valueOf(this.width) + "\n" +
				"weight 	 : "+ String.valueOf(this.weight);	
	}
}
